PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
mtb_hal_i2c_t Struct Reference

## Description

I2C object.

Application code should not rely on the specific contents of this staruct. They are considered an implementation detail which is subject to chnge between platforms and/or HAL releases.

## Data Fields
CySCB_Type * | base
| Base address for the SCB.
cy_stc_scb_i2c_context_t * | context
| PDL context.
const mtb_hal_clock_t * | clock
| Clock interface.
_mtb_hal_event_callback_data_t | callback_data
| User-registered callback.
_mtb_hal_event_callback_data_t | addr_callback_data
| User-registered address callback.
_mtb_hal_event_callback_data_t | byte_callback_data
| User-registered byte callback.
uint32_t | irq_cause
| User-enabled events.
uint8_t | addr_irq_cause
| User-enabled address events.
bool | op_in_callback
| Currently operating in callback context.
_mtb_hal_buffer_info_t | rx_target_buff
| Target buffer for receive operations.
_mtb_hal_buffer_info_t | tx_target_buff
| Target buffer for transmit operations.
const cy_stc_scb_i2c_config_t * | config
| PDL-level configuration structure.

## Field Documentation

## ◆ base

CySCB_Type* mtb_hal_i2c_t::base

Base address for the SCB.

## ◆ context

cy_stc_scb_i2c_context_t* mtb_hal_i2c_t::context

PDL context.

## ◆ clock

const mtb_hal_clock_t* mtb_hal_i2c_t::clock

Clock interface.

## ◆ callback_data

_mtb_hal_event_callback_data_t mtb_hal_i2c_t::callback_data

User-registered callback.

## ◆ addr_callback_data

_mtb_hal_event_callback_data_t mtb_hal_i2c_t::addr_callback_data

User-registered address callback.

## ◆ byte_callback_data

_mtb_hal_event_callback_data_t mtb_hal_i2c_t::byte_callback_data

User-registered byte callback.

## ◆ irq_cause

uint32_t mtb_hal_i2c_t::irq_cause

User-enabled events.

## ◆ addr_irq_cause

uint8_t mtb_hal_i2c_t::addr_irq_cause

User-enabled address events.

## ◆ op_in_callback

bool mtb_hal_i2c_t::op_in_callback

Currently operating in callback context.

## ◆ rx_target_buff

_mtb_hal_buffer_info_t mtb_hal_i2c_t::rx_target_buff

Target buffer for receive operations.

## ◆ tx_target_buff

_mtb_hal_buffer_info_t mtb_hal_i2c_t::tx_target_buff

Target buffer for transmit operations.

## ◆ config

const cy_stc_scb_i2c_config_t* mtb_hal_i2c_t::config

PDL-level configuration structure.